<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('dragon_user', function (Blueprint $table) {
            $table->string("work_id")->comment("企业微信id")->after("user_id");
            $table->integer('user_id')->nullable()->comment('用户id')->change();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('dragon_user', function (Blueprint $table) {
            $table->dropColumn('work_id');
            $table->integer('user_id')->comment('用户id');
        });
    }
};
